## st 1.0.0

=== DESCRIPTION ===
Package: st
Version: 1.0.0
Date: 2006-31-08
Title: Shrinkage t Statistic
Author: Rainer Opgen-Rhein and Korbinian Strimmer.
Maintainer: Korbinian Strimmer <korbinian.strimmer@lmu.de>
Depends: R (>= 2.0.0), corpcor (>= 1.4.3)
Suggests:
Description: This package implements the "shrinkage t" statistics 
   described in Opgen-Rhein and Strimmer (2006).  It also offers
   a convenient interface to a number of other regularized t-type 
   statistics often used in high-dimensional case-control studies.    
License: GPL version 2 or newer
URL: http://www.strimmerlab.org/software/st/
Packaged: Thu Aug 31 14:40:24 2006; strimmer

## st 0.7

=== debian/changelog ===
st (1:0.7-20160820+1) unstable; urgency=medium

  * Fixed stterm patch to change TERM

 -- Christian Ratzenhofer <christian.ratzenhofer@cdnm.at>  Sat, 08 Oct 2016 01:41:49 +0200

st (1:0.7-20160820) unstable; urgency=medium

  * Rebase patches patches on top of upstream 0.7

 -- Christian Ratzenhofer <christian.ratzenhofer@cdnm.at>  Sat, 20 Aug 2016 23:29:08 +0200

st (1:0.6-gitd83656+1) unstable; urgency=medium

  * added man page

 -- Christian Ratzenhofer <christian.ratzenhofer@cdnm.at>  Mon, 23 Nov 2015 15:32:45 +0100

st (1:0.6-gitd83656) unstable; urgency=medium

  * Bump to 0.6 + git d83656

 -- Christian Ratzenhofer <christian.ratzenhofer@cdnm.at>  Thu, 19 Nov 2015 16:48:49 +0100

st (1:0.5-git190b94d+1) unstable; urgency=medium

  * Fix stterm.patch to also change window title

 -- Christian <christian.ratzenhofer@cdnm.at>  Wed, 29 Apr 2015 20:21:33 +0200

st (1:0.5-git190b94c) unstable; urgency=medium

  * Rebase patches on top of upstream 190b94c
  * Bump version above debian jessie

 -- Christian <christian.ratzenhofer@cdnm.at>  Mon, 27 Apr 2015 14:44:47 +0200

st (0.5-git56abffb) unstable; urgency=low

  * Rebase patches on top of upstream 56abffb

 -- Christian <christian.ratzenhofer@cdnm.at>  Sat, 18 Apr 2015 19:19:10 +0200

st (0.5-5) unstable; urgency=low

  * Fix using print

 -- Christian <christian.ratzenhofer@cdnm.at>  Tue, 17 Mar 2015 17:32:05 +0100

st (0.5-4) unstable; urgency=low

  * Include upstream fixes for primary selection
  * Added Ctrl+Shift+C

 -- Christian Ratzenhofer <christian@chris-laptop3.christian.local>  Tue, 17 Mar 2015 17:16:08 +0100

st (0.5-3) unstable; urgency=low

  * Added Ctrl+Shift+V

 -- Christian Ratzenhofer <christian@chris-laptop3.christian.local>  Tue, 17 Mar 2015 11:33:18 +0100

st (0.5-2) unstable; urgency=low

  * Rename package and binary to stterm to fix conflict with suckless-tools

 -- Christian Ratzenhofer <christian@chris-laptop3.christian.local>  Tue, 17 Mar 2015 10:48:02 +0100

st (0.5-1) unstable; urgency=low

  * Initial release, finally a proper terminal emulator

 -- Christian <christian.ratzenhofer@cdnm.at>  Mon, 16 Mar 2015 09:34:19 +0100

=== debian/control ===
Source: st
Section: x11
Priority: optional
Maintainer: Christian <christian.ratzenhofer@cdnm.at>
Build-Depends: debhelper (>= 8.0.0), libx11-dev, libxft-dev, libfreetype6-dev
Standards-Version: 3.9.3
Homepage: http://st.suckless.org/

Package: stterm
Architecture: any
Depends: xfonts-terminus, ${shlibs:Depends}, ${misc:Depends}
Description: bare bones and simple terminal for windowed system
 Stterm is a bare bones terminal emulator developed with a focus on
 simplicity and clarity as the primary goals. It is very lightweight
 consuming only approximately (2+25 reserved+virtual) MiB memory.
 The suckless software projects philosophy is about keeping things
 simple, minimal and usable.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
PACKAGE		= stterm
ORIGBIN		= st

BIN		= $(PACKAGE)
PKGDIR		= $(CURDIR)/debian/$(PACKAGE)
BINDIR		= $(PKGDIR)/usr/bin
SHAREROOTDIR	= $(PKGDIR)/usr/share
DOCROOTDIR	= $(SHAREROOTDIR)/doc
PKGDOCDIR	= $(DOCROOTDIR)/$(PACKAGE)
TERMINFO	= $(PKGDIR)/usr/share/terminfo
MANDIR 	= $(SHAREROOTDIR)/man/man1

terminfo:
	install -m 755 -d $(TERMINFO)/s
	TERMINFO=$(TERMINFO) tic $(ORIGBIN).info

override_dh_installinfo:
	# Disable; the *.info is not a info(1) but a terminfo file

override_dh_auto_install: terminfo
	# Upstream no good. Calls tic(1) which writes to $HOME
	install -m 755 -D $(BIN) $(BINDIR)/$(BIN)
	install -m 644 -D $(ORIGBIN).info $(PKGDOCDIR)/examples/$(PACKAGE).terminfo
	install -m 644 -D st.1 $(MANDIR)/stterm.1

%:
	dh $@

## st 1.0.1

=== DESCRIPTION ===
Package: st
Version: 1.0.1
Date: 2007-02-28
Title: Shrinkage t Statistic
Author: Rainer Opgen-Rhein and Korbinian Strimmer.
Maintainer: Korbinian Strimmer <strimmer@uni-leipzig.de>
Depends: R (>= 2.2.1), corpcor (>= 1.4.4)
Suggests: limma, samr
Description: This package implements the "shrinkage t" statistic 
   described in Opgen-Rhein and Strimmer (2007).  It also offers
   a convenient interface to a number of other regularized t-type 
   statistics often used in high-dimensional case-control studies.    
License: GPL version 2 or newer
URL: http://www.strimmerlab.org/software/st/
Packaged: Wed Feb 28 00:01:13 2007; ksold

## st 1.0.2

=== DESCRIPTION ===
Package: st
Version: 1.0.2
Date: 2007-10-21
Title: Shrinkage t Statistic
Author: Rainer Opgen-Rhein and Korbinian Strimmer.
Maintainer: Korbinian Strimmer <strimmer@uni-leipzig.de>
Depends: R (>= 2.2.1), corpcor (>= 1.4.7), fdrtool (>= 1.2.0)
Suggests: limma, samr
Description: This package implements the "shrinkage t" statistic 
   described in Opgen-Rhein and Strimmer (2007).  It also offers
   a convenient interface to a number of other regularized t-type 
   statistics often used in high-dimensional case-control studies.    
License: GPL (>= 3)
URL: http://www.strimmerlab.org/software/st/
Packaged: Sun Oct 21 15:42:04 2007; strimmer

## st 1.0.3

=== DESCRIPTION ===
Package: st
Version: 1.0.3
Date: 2008-10-27
Title: Shrinkage t Statistic
Author: Rainer Opgen-Rhein and Korbinian Strimmer.
Maintainer: Korbinian Strimmer <strimmer@uni-leipzig.de>
Depends: R (>= 2.7.0), corpcor (>= 1.4.7), fdrtool (>= 1.2.5)
Suggests: limma, samr
Description: This package implements the "shrinkage t" statistic 
   described in Opgen-Rhein and Strimmer (2007).  It also offers
   a convenient interface to a number of other regularized t-type 
   statistics often used in high-dimensional case-control studies.    
License: GPL (>= 3)
URL: http://strimmerlab.org/software/st/
Packaged: Mon Oct 27 00:07:25 2008; strimmer

## st 1.1.0

=== DESCRIPTION ===
Package: st
Version: 1.1.0
Date: 2008-12-13
Title: Shrinkage t Statistic and Correlation-Adjusted t Score
Author: Rainer Opgen-Rhein, Verena Zuber, and Korbinian Strimmer.
Maintainer: Korbinian Strimmer <strimmer@uni-leipzig.de>
Depends: R (>= 2.7.0), sda (>= 1.0.3), fdrtool (>= 1.2.5)
Suggests: limma, samr
Description: This package implements the "shrinkage t" statistic 
   introduced in Opgen-Rhein and Strimmer (2007) and a shrinkage estimate
   of the "correlation-adjusted t-score" (cat score) described in
   Zuber and Strimmer (2008).  It also offers a convenient interface 
   to a number of other regularized t-statistics commonly 
   employed in high-dimensional case-control studies.    
License: GPL (>= 3)
URL: http://strimmerlab.org/software/st/
Packaged: Sat Dec 13 16:36:07 2008; strimmer

## st 1.1.1

=== DESCRIPTION ===
Package: st
Version: 1.1.1
Date: 2009-02-04
Title: Shrinkage t Statistic and Correlation-Adjusted t Score
Author: Rainer Opgen-Rhein, Verena Zuber, and Korbinian Strimmer.
Maintainer: Korbinian Strimmer <strimmer@uni-leipzig.de>
Depends: R (>= 2.7.0), sda (>= 1.0.3), fdrtool (>= 1.2.5)
Suggests: limma, samr
Description: This package implements the "shrinkage t" statistic 
   introduced in Opgen-Rhein and Strimmer (2007) and a shrinkage estimate
   of the "correlation-adjusted t-score" (cat score) described in
   Zuber and Strimmer (2009).  It also offers a convenient interface 
   to a number of other regularized t-statistics commonly 
   employed in high-dimensional case-control studies.    
License: GPL (>= 3)
URL: http://strimmerlab.org/software/st/
Packaged: Wed Feb  4 22:07:27 2009; strimmer

## st 1.1.2

=== DESCRIPTION ===
Package: st
Version: 1.1.2
Date: 2009-04-25
Title: Shrinkage t Statistic and Correlation-Adjusted t Score
Author: Rainer Opgen-Rhein, Verena Zuber, and Korbinian Strimmer.
Maintainer: Korbinian Strimmer <strimmer@uni-leipzig.de>
Depends: R (>= 2.7.0), sda (>= 1.1.0), fdrtool (>= 1.2.5)
Suggests: limma, samr
Description: This package implements the "shrinkage t" statistic
        introduced in Opgen-Rhein and Strimmer (2007) and a shrinkage
        estimate of the "correlation-adjusted t-score" (cat score)
        described in Zuber and Strimmer (2009).  It also offers a
        convenient interface to a number of other regularized
        t-statistics commonly employed in high-dimensional case-control
        studies.
License: GPL (>= 3)
URL: http://strimmerlab.org/software/st/
Packaged: Sat Apr 25 11:09:23 2009; strimmer
Repository: CRAN
Date/Publication: 2009-04-26 15:28:02

## st 1.1.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: st
-Version: 1.1.2
-Date: 2009-04-25
+Version: 1.1.3
+Date: 2009-05-09
 Title: Shrinkage t Statistic and Correlation-Adjusted t Score
 Author: Rainer Opgen-Rhein, Verena Zuber, and Korbinian Strimmer.
 Maintainer: Korbinian Strimmer <strimmer@uni-leipzig.de>
@@ -15,6 +15,6 @@
         studies.
 License: GPL (>= 3)
 URL: http://strimmerlab.org/software/st/
-Packaged: Sat Apr 25 11:09:23 2009; strimmer
+Packaged: Sat May 9 18:25:23 2009; strimmer
 Repository: CRAN
-Date/Publication: 2009-04-26 15:28:02
+Date/Publication: 2009-05-10 18:55:24

## st 1.1.4

=== DESCRIPTION ===
Package: st
Version: 1.1.4
Date: 2010-05-06
Title: Shrinkage t Statistic and Correlation-Adjusted t Score
Author: Rainer Opgen-Rhein, Verena Zuber, and Korbinian Strimmer.
Maintainer: Korbinian Strimmer <strimmer@uni-leipzig.de>
Depends: R (>= 2.7.0), sda (>= 1.1.0), fdrtool (>= 1.2.5)
Suggests: limma, samr, igraph
Description: This package implements the "shrinkage t" statistic
        introduced in Opgen-Rhein and Strimmer (2007) and a shrinkage
        estimate of the "correlation-adjusted t-score" (cat score)
        described in Zuber and Strimmer (2009).  It also offers a
        convenient interface to a number of other regularized
        t-statistics commonly employed in high-dimensional case-control
        studies.
License: GPL (>= 3)
URL: http://strimmerlab.org/software/st/
Packaged: Thu May 6 18:32:39 2010; strimmer
Repository: CRAN
Date/Publication: 2010-05-06 16:56:53

## st 1.1.5

=== DESCRIPTION ===
Package: st
Version: 1.1.5
Date: 2011-06-27
Title: Shrinkage t Statistic and CAT Score
Author: Rainer Opgen-Rhein, Verena Zuber, and Korbinian Strimmer.
Maintainer: Korbinian Strimmer <strimmer@uni-leipzig.de>
Depends: R (>= 2.10.0), sda (>= 1.2.0), fdrtool (>= 1.2.7)
Suggests: limma, samr
Description: This package implements the "shrinkage t" statistic
        introduced in Opgen-Rhein and Strimmer (2007) and a shrinkage
        estimate of the "correlation-adjusted t-score" (CAT score)
        described in Zuber and Strimmer (2009).  It also offers a
        convenient interface to a number of other regularized
        t-statistics commonly employed in high-dimensional case-control
        studies.
License: GPL (>= 3)
URL: http://strimmerlab.org/software/st/
Packaged: 2011-06-28 10:16:34 UTC; strimmer
Repository: CRAN
Date/Publication: 2011-06-28 10:18:33

## st 1.1.6

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: st
-Version: 1.1.5
-Date: 2011-06-27
+Version: 1.1.6
+Date: 2011-07-04
 Title: Shrinkage t Statistic and CAT Score
 Author: Rainer Opgen-Rhein, Verena Zuber, and Korbinian Strimmer.
 Maintainer: Korbinian Strimmer <strimmer@uni-leipzig.de>
@@ -15,6 +15,6 @@
         studies.
 License: GPL (>= 3)
 URL: http://strimmerlab.org/software/st/
-Packaged: 2011-06-28 10:16:34 UTC; strimmer
+Packaged: 2011-07-04 13:26:42 UTC; strimmer
 Repository: CRAN
-Date/Publication: 2011-06-28 10:18:33
+Date/Publication: 2011-07-05 08:44:28

## st 1.1.7

=== DESCRIPTION ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Package: st
-Version: 1.1.6
-Date: 2011-07-04
+Version: 1.1.7
+Date: 2012-01-22
 Title: Shrinkage t Statistic and CAT Score
 Author: Rainer Opgen-Rhein, Verena Zuber, and Korbinian Strimmer.
 Maintainer: Korbinian Strimmer <strimmer@uni-leipzig.de>
-Depends: R (>= 2.10.0), sda (>= 1.2.0), fdrtool (>= 1.2.7)
+Depends: R (>= 2.10.0), sda (>= 1.2.1), fdrtool (>= 1.2.8)
 Suggests: limma, samr
 Description: This package implements the "shrinkage t" statistic
         introduced in Opgen-Rhein and Strimmer (2007) and a shrinkage
@@ -15,6 +15,6 @@
         studies.
 License: GPL (>= 3)
 URL: http://strimmerlab.org/software/st/
-Packaged: 2011-07-04 13:26:42 UTC; strimmer
+Packaged: 2012-01-22 11:00:36 UTC; strimmer
 Repository: CRAN
-Date/Publication: 2011-07-05 08:44:28
+Date/Publication: 2012-01-22 12:03:14

## st 1.1.8

=== DESCRIPTION ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Package: st
-Version: 1.1.7
-Date: 2012-01-22
+Version: 1.1.8
+Date: 2012-08-19
 Title: Shrinkage t Statistic and CAT Score
 Author: Rainer Opgen-Rhein, Verena Zuber, and Korbinian Strimmer.
 Maintainer: Korbinian Strimmer <strimmer@uni-leipzig.de>
-Depends: R (>= 2.10.0), sda (>= 1.2.1), fdrtool (>= 1.2.8)
+Depends: R (>= 2.10.0), sda (>= 1.2.2), fdrtool (>= 1.2.10)
 Suggests: limma, samr
 Description: This package implements the "shrinkage t" statistic
         introduced in Opgen-Rhein and Strimmer (2007) and a shrinkage
@@ -15,6 +15,6 @@
         studies.
 License: GPL (>= 3)
 URL: http://strimmerlab.org/software/st/
-Packaged: 2012-01-22 11:00:36 UTC; strimmer
+Packaged: 2012-08-19 18:40:53 UTC; strimmer
 Repository: CRAN
-Date/Publication: 2012-01-22 12:03:14
+Date/Publication: 2012-08-20 04:37:02

## st 1.2.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Package: st
-Version: 1.1.8
-Date: 2012-08-19
+Version: 1.2.0
+Date: 2012-12-02
 Title: Shrinkage t Statistic and CAT Score
 Author: Rainer Opgen-Rhein, Verena Zuber, and Korbinian Strimmer.
 Maintainer: Korbinian Strimmer <strimmer@uni-leipzig.de>
-Depends: R (>= 2.10.0), sda (>= 1.2.2), fdrtool (>= 1.2.10)
+Depends: R (>= 2.10.0), sda (>= 1.2.3), fdrtool (>= 1.2.10)
 Suggests: limma, samr
 Description: This package implements the "shrinkage t" statistic
         introduced in Opgen-Rhein and Strimmer (2007) and a shrinkage
@@ -15,6 +15,6 @@
         studies.
 License: GPL (>= 3)
 URL: http://strimmerlab.org/software/st/
-Packaged: 2012-08-19 18:40:53 UTC; strimmer
+Packaged: 2012-12-04 14:39:01 UTC; strimmer
 Repository: CRAN
-Date/Publication: 2012-08-20 04:37:02
+Date/Publication: 2012-12-04 17:03:44

## st 1.2.1

=== DESCRIPTION ===
Package: st
Version: 1.2.1
Date: 2013-09-01
Title: Shrinkage t Statistic and CAT Score
Author: Rainer Opgen-Rhein, Verena Zuber, and Korbinian Strimmer.
Maintainer: Korbinian Strimmer <strimmer@uni-leipzig.de>
Depends: R (>= 2.15.1), sda (>= 1.3.1), fdrtool (>= 1.2.10)
Suggests: limma, samr
Description: This package implements the "shrinkage t" statistic 
   introduced in Opgen-Rhein and Strimmer (2007) and a shrinkage estimate
   of the "correlation-adjusted t-score" (CAT score) described in
   Zuber and Strimmer (2009).  It also offers a convenient interface 
   to a number of other regularized t-statistics commonly 
   employed in high-dimensional case-control studies.    
License: GPL (>= 3)
URL: http://strimmerlab.org/software/st/
Packaged: 2013-09-01 08:39:55 UTC; strimmer
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2013-09-01 10:45:16

## st 1.2.2

=== DESCRIPTION ===
Package: st
Version: 1.2.2
Date: 2014-04-18
Title: Shrinkage t Statistic and CAT Score
Author: Rainer Opgen-Rhein, Verena Zuber, and Korbinian Strimmer.
Maintainer: Korbinian Strimmer <strimmer@uni-leipzig.de>
Depends: R (>= 2.15.1), sda (>= 1.3.3), fdrtool (>= 1.2.12)
Suggests: limma, samr
Description: This package implements the "shrinkage t" statistic 
   introduced in Opgen-Rhein and Strimmer (2007) and a shrinkage estimate
   of the "correlation-adjusted t-score" (CAT score) described in
   Zuber and Strimmer (2009).  It also offers a convenient interface 
   to a number of other regularized t-statistics commonly 
   employed in high-dimensional case-control studies.    
License: GPL (>= 3)
URL: http://strimmerlab.org/software/st/
Packaged: 2014-04-18 14:39:31 UTC; strimmer
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2014-04-18 19:43:20

## st 1.2.3

=== DESCRIPTION ===
Package: st
Version: 1.2.3
Date: 2014-11-14
Title: Shrinkage t Statistic and Correlation-Adjusted t-Score
Author: Rainer Opgen-Rhein, Verena Zuber, and Korbinian Strimmer.
Maintainer: Korbinian Strimmer <strimmerlab@gmail.com>
Depends: R (>= 2.15.1), sda (>= 1.3.3), fdrtool (>= 1.2.12), corpcor
        (>= 1.6.7)
Suggests: limma, samr
Description: This package implements the "shrinkage t" statistic 
   introduced in Opgen-Rhein and Strimmer (2007) and a shrinkage estimate
   of the "correlation-adjusted t-score" (CAT score) described in
   Zuber and Strimmer (2009).  It also offers a convenient interface 
   to a number of other regularized t-statistics commonly 
   employed in high-dimensional case-control studies.    
License: GPL (>= 3)
URL: http://strimmerlab.org/software/st/
Packaged: 2014-11-14 01:47:30 UTC; strimmer
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2014-11-14 08:16:40

## st 1.2.4

=== DESCRIPTION ===
Package: st
Version: 1.2.4
Date: 2015-03-21
Title: Shrinkage t Statistic and Correlation-Adjusted t-Score
Author: Rainer Opgen-Rhein, Verena Zuber, and Korbinian Strimmer.
Maintainer: Korbinian Strimmer <strimmerlab@gmail.com>
Depends: R (>= 2.15.1), sda (>= 1.3.6), fdrtool (>= 1.2.14), corpcor
        (>= 1.6.7)
Suggests: limma, samr
Description: Implements the "shrinkage t" statistic 
   introduced in Opgen-Rhein and Strimmer (2007) and a shrinkage estimate
   of the "correlation-adjusted t-score" (CAT score) described in
   Zuber and Strimmer (2009).  It also offers a convenient interface 
   to a number of other regularized t-statistics commonly 
   employed in high-dimensional case-control studies.    
License: GPL (>= 3)
URL: http://strimmerlab.org/software/st/
Packaged: 2015-03-21 14:05:06 UTC; strimmer
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2015-03-21 15:54:11

## st 1.2.5

=== DESCRIPTION ===
Package: st
Version: 1.2.5
Date: 2015-07-08
Title: Shrinkage t Statistic and Correlation-Adjusted t-Score
Author: Rainer Opgen-Rhein, Verena Zuber, and Korbinian Strimmer.
Maintainer: Korbinian Strimmer <strimmerlab@gmail.com>
Depends: R (>= 3.0.2), sda (>= 1.3.7), fdrtool (>= 1.2.15), corpcor (>=
        1.6.8)
Suggests: limma, samr
Imports: graphics, stats
Description: Implements the "shrinkage t" statistic 
   introduced in Opgen-Rhein and Strimmer (2007) and a shrinkage estimate
   of the "correlation-adjusted t-score" (CAT score) described in
   Zuber and Strimmer (2009).  It also offers a convenient interface 
   to a number of other regularized t-statistics commonly 
   employed in high-dimensional case-control studies.    
License: GPL (>= 3)
URL: http://strimmerlab.org/software/st/
Packaged: 2015-07-08 18:42:21 UTC; strimmer
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2015-07-08 22:37:28

## st 1.2.6

=== DESCRIPTION ===
Package: st
Version: 1.2.6
Date: 2020-09-24
Title: Shrinkage t Statistic and Correlation-Adjusted t-Score
Author: Rainer Opgen-Rhein, Verena Zuber, and Korbinian Strimmer.
Maintainer: Korbinian Strimmer <strimmerlab@gmail.com>
Depends: R (>= 3.0.2), sda (>= 1.3.7), fdrtool (>= 1.2.15), corpcor (>=
        1.6.9)
Imports: graphics, stats
Suggests: limma, samr
Description: Implements the "shrinkage t" statistic 
   introduced in Opgen-Rhein and Strimmer (2007) <DOI:10.2202/1544-6115.1252> and 
   a shrinkage estimate of the "correlation-adjusted t-score" (CAT score) described 
   in Zuber and Strimmer (2009) <DOI:10.1093/bioinformatics/btp460>.  
   It also offers a convenient interface  to a number of other regularized 
   t-statistics commonly employed in high-dimensional case-control studies.    
License: GPL (>= 3)
URL: http://www.strimmerlab.org/software/st/
Packaged: 2020-09-24 09:21:16 UTC; strimmer
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2020-09-24 12:00:03 UTC

## st 1.2.7

=== DESCRIPTION ===
Package: st
Version: 1.2.7
Date: 2021-11-26
Title: Shrinkage t Statistic and Correlation-Adjusted t-Score
Author: Rainer Opgen-Rhein, Verena Zuber, and Korbinian Strimmer.
Maintainer: Korbinian Strimmer <strimmerlab@gmail.com>
Depends: R (>= 3.0.2), sda (>= 1.3.8), fdrtool (>= 1.2.17), corpcor (>=
        1.6.10)
Imports: graphics, stats
Suggests: limma, samr
Description: Implements the "shrinkage t" statistic 
   introduced in Opgen-Rhein and Strimmer (2007) <DOI:10.2202/1544-6115.1252> and 
   a shrinkage estimate of the "correlation-adjusted t-score" (CAT score) described 
   in Zuber and Strimmer (2009) <DOI:10.1093/bioinformatics/btp460>.  
   It also offers a convenient interface  to a number of other regularized 
   t-statistics commonly employed in high-dimensional case-control studies.    
License: GPL (>= 3)
URL: https://strimmerlab.github.io/software/st/
NeedsCompilation: no
Packaged: 2021-11-26 14:11:03 UTC; strimmer
Repository: CRAN
Date/Publication: 2021-11-27 06:00:02 UTC

## st 1.3

=== Makefile ===
# The contents of this file are subject to the Mozilla Public
# License Version 1.1 (the "License"); you may not use this file
# except in compliance with the License. You may obtain a copy of
# the License at http://www.mozilla.org/MPL/
# 
# Software distributed under the License is distributed on an "AS
# IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
# implied. See the License for the specific language governing
# rights and limitations under the License.
# 
# The Original Code is the Netscape Portable Runtime library.
# 
# The Initial Developer of the Original Code is Netscape
# Communications Corporation.  Portions created by Netscape are 
# Copyright (C) 1994-2000 Netscape Communications Corporation.  All
# Rights Reserved.
# 
# Contributor(s):  Silicon Graphics, Inc.
# 
# Portions created by SGI are Copyright (C) 2000-2001 Silicon
# Graphics, Inc.  All Rights Reserved.
# 
# Alternatively, the contents of this file may be used under the
# terms of the GNU General Public License Version 2 or later (the
# "GPL"), in which case the provisions of the GPL are applicable 
# instead of those above.  If you wish to allow use of your 
# version of this file only under the terms of the GPL and not to
# allow others to use your version of this file under the MPL,
# indicate your decision by deleting the provisions above and
# replace them with the notice and other provisions required by
# the GPL.  If you do not delete the provisions above, a recipient
# may use your version of this file under either the MPL or the
# GPL.

# This is the full version of the libst library - modify carefully
VERSION     = 1.3

##########################
# Supported OSes:
#
#OS         = AIX
#OS         = FREEBSD
#OS         = HPUX
#OS         = HPUX_64
#OS         = IRIX
#OS         = IRIX_64
#OS         = LINUX
#OS         = LINUX_IA64
#OS         = OPENBSD
#OS         = OSF1
#OS         = SOLARIS

# Please see the "Other possible defines" section below for
# possible compilation options.
##########################

CC          = cc
AR          = ar
LD          = ld
RANLIB      = ranlib
LN          = ln

SHELL       = /bin/sh
ECHO        = /bin/echo

BUILD       = DBG
TARGETDIR   = $(OS)_$(shell uname -r)_$(BUILD)

DEFINES     = -D$(OS)
CFLAGS      =
SFLAGS      =
ARFLAGS     = -rv
LNFLAGS     = -s
DSO_SUFFIX  = so


##########################
# Platform section.
# Possible targets:

TARGETS     = aix-debug aix-optimized               \
              freebsd-debug freebsd-optimized       \
              hpux-debug hpux-optimized             \
              hpux-64-debug hpux-64-optimized       \
              irix-n32-debug irix-n32-optimized     \
              irix-64-debug irix-64-optimized       \
              linux-debug linux-optimized           \
              linux-ia64-debug linux-ia64-optimized \
              openbsd-debug openbsd-optimized       \
              osf1-debug osf1-optimized             \
              solaris-debug solaris-optimized

#
# Platform specifics
#

ifeq ($(OS), AIX)
AIX_VERSION = $(shell uname -v).$(shell uname -r)
TARGETDIR   = $(OS)_$(AIX_VERSION)_$(BUILD)
CC          = xlC
STATIC_ONLY = yes
ifeq ($(BUILD), OPT)
OTHER_FLAGS = -w
endif
ifneq ($(filter-out 4.1 4.2, $(AIX_VERSION)),)
DEFINES     += -DMD_HAVE_SOCKLEN_T
endif
endif

ifeq ($(OS), FREEBSD)
SFLAGS      = -fPIC
LDFLAGS     = -shared -soname=$(SONAME) -lc
OTHER_FLAGS = -Wall
endif

ifeq (HPUX, $(findstring HPUX, $(OS)))
ifeq ($(OS), HPUX_64)
DEFINES     = -DHPUX
CFLAGS      = -Ae +DD64 +Z
else
CFLAGS      = -Ae +DAportable +Z
endif
RANLIB      = true
LDFLAGS     = -b
DSO_SUFFIX  = sl
endif

ifeq (IRIX, $(findstring IRIX, $(OS)))
ifeq ($(OS), IRIX_64)
DEFINES     = -DIRIX
ABIFLAG     = -64
else
ABIFLAG     = -n32
endif
RANLIB      = true
CFLAGS      = $(ABIFLAG) -mips3
LDFLAGS     = $(ABIFLAG) -shared
OTHER_FLAGS = -fullwarn
endif

ifeq (LINUX, $(findstring LINUX, $(OS)))
ifeq ($(OS), LINUX_IA64)
DEFINES     = -DLINUX
EXTRA_OBJS  = $(TARGETDIR)/ia64asm.o
endif
SFLAGS      = -fPIC
LDFLAGS     = -shared -soname=$(SONAME) -lc
OTHER_FLAGS = -Wall
endif

ifeq ($(OS), OPENBSD)
SFLAGS      = -fPIC
LDFLAGS     = -shared -soname=$(SONAME) -lc
OTHER_FLAGS = -Wall
endif

ifeq ($(OS), OSF1)
RANLIB      = true
LDFLAGS     = -shared -all -expect_unresolved "*"
endif

ifeq ($(OS), SOLARIS)
TARGETDIR   = $(OS)_$(shell uname -r | sed 's/^5/2/')_$(BUILD)
CC          = gcc
LD          = gcc
RANLIB      = true
LDFLAGS     = -G
OTHER_FLAGS = -Wall
endif

#
# End of platform section.
##########################


ifeq ($(BUILD), OPT)
OTHER_FLAGS += -O
else
OTHER_FLAGS += -g
DEFINES     += -DDEBUG
endif

##########################
# Other possible defines:
# To use poll(2) instead of select(2) for events checking:
# DEFINES += -DUSE_POLL
# You may prefer to use select for applications that have many threads
# using one file descriptor, and poll for applications that have many
# different file descriptors.  With USE_POLL poll() is called with at
# least one pollfd per I/O-blocked thread, so 1000 threads sharing one
# descriptor will poll 1000 identical pollfds and select would be more
# efficient.  But if the threads all use different descriptors poll()
# may be better depending on your operating system's implementation of
# poll and select.  Really, it's up to you.  Oh, and on some platforms
# poll() fails with more than a few dozen descriptors.
#
# Some platforms allow to define FD_SETSIZE (if select() is used), e.g.:
# DEFINES += -DFD_SETSIZE=4096
#
# To use malloc(3) instead of mmap(2) for stack allocation:
# DEFINES += -DMALLOC_STACK
##########################

CFLAGS      += $(DEFINES) $(OTHER_FLAGS)

OBJS        = $(TARGETDIR)/sched.o \
              $(TARGETDIR)/stk.o   \
              $(TARGETDIR)/sync.o  \
              $(TARGETDIR)/key.o   \
              $(TARGETDIR)/io.o
OBJS        += $(EXTRA_OBJS)
HEADER      = $(TARGETDIR)/st.h
SLIBRARY    = $(TARGETDIR)/libst.a
DLIBRARY    = $(TARGETDIR)/libst.$(DSO_SUFFIX).$(VERSION)
EXAMPLES    = examples

MAJOR       = $(shell echo $(VERSION) | sed 's/^\([^\.]*\).*/\1/')
LINKNAME    = libst.$(DSO_SUFFIX)
SONAME      = libst.$(DSO_SUFFIX).$(MAJOR)
FULLNAME    = libst.$(DSO_SUFFIX).$(VERSION)
DESC        = st.pc

ifeq ($(STATIC_ONLY), yes)
LIBRARIES   = $(SLIBRARY)
else
LIBRARIES   = $(SLIBRARY) $(DLIBRARY)
endif

ifeq ($(OS),)
ST_ALL      = unknown
else
ST_ALL      = $(TARGETDIR) $(LIBRARIES) $(HEADER) $(EXAMPLES) $(DESC)
endif

all: $(ST_ALL)

unknown:
	@echo
	@echo "Please specify one of the following targets:"
	@echo
	@for target in $(TARGETS); do echo $$target; done
	@echo

st.pc:	st.pc.in
	sed "s/@VERSION@/${VERSION}/g" < $< > $@

$(TARGETDIR):
	if [ ! -d $(TARGETDIR) ]; then mkdir $(TARGETDIR); fi

$(SLIBRARY): $(OBJS)
	$(AR) $(ARFLAGS) $@ $(OBJS)
	$(RANLIB) $@
	rm -f obj; $(LN) $(LNFLAGS) $(TARGETDIR) obj

$(DLIBRARY): $(OBJS:%.o=%-pic.o)
	$(LD) $(LDFLAGS) $^ -o $@
	cd $(TARGETDIR); rm -f $(SONAME); $(LN) $(LNFLAGS) $(FULLNAME) $(SONAME)
	cd $(TARGETDIR); rm -f $(LINKNAME); $(LN) $(LNFLAGS) $(FULLNAME) $(LINKNAME)

$(HEADER): public.h
	rm -f $@
	cp public.h $@

$(TARGETDIR)/%asm.o: %asm.S
	$(CC) $(CFLAGS) -c $< -o $@

$(TARGETDIR)/%.o: %.c common.h md.h
	$(CC) $(CFLAGS) -c $< -o $@

examples::
	@cd $@; $(MAKE) CC="$(CC)" CFLAGS="$(CFLAGS)" OS="$(OS)" TARGETDIR="$(TARGETDIR)"

clean:
	rm -rf *_OPT *_DBG obj st.pc

##########################
# Pattern rules:

ifneq ($(SFLAGS),)
# Compile with shared library options if it's a C file
$(TARGETDIR)/%-pic.o: %.c
	$(CC) $(CFLAGS) $(SFLAGS) -c $< -o $@
endif

# Compile assembly as normal or C as normal if no SFLAGS
%-pic.o: %.o
	rm -f $@; $(LN) $(LNFLAGS) $(<F) $@

##########################
# Target rules:

default-debug:
	. ./osguess.sh; $(MAKE) OS="$$OS" BUILD="DBG"
default default-optimized:
	. ./osguess.sh; $(MAKE) OS="$$OS" BUILD="OPT"

aix-debug:
	$(MAKE) OS="AIX" BUILD="DBG"
aix-optimized:
	$(MAKE) OS="AIX" BUILD="OPT"

freebsd-debug:
	$(MAKE) OS="FREEBSD" BUILD="DBG"
freebsd-optimized:
	$(MAKE) OS="FREEBSD" BUILD="OPT"

hpux-debug:
	$(MAKE) OS="HPUX" BUILD="DBG"
hpux-optimized:
	$(MAKE) OS="HPUX" BUILD="OPT"
hpux-64-debug:
	$(MAKE) OS="HPUX_64" BUILD="DBG"
hpux-64-optimized:
	$(MAKE) OS="HPUX_64" BUILD="OPT"

irix-n32-debug:
	$(MAKE) OS="IRIX" BUILD="DBG"
irix-n32-optimized:
	$(MAKE) OS="IRIX" BUILD="OPT"
irix-64-debug:
	$(MAKE) OS="IRIX_64" BUILD="DBG"
irix-64-optimized:
	$(MAKE) OS="IRIX_64" BUILD="OPT"

linux-debug:
	$(MAKE) OS="LINUX" BUILD="DBG"
linux-optimized:
	$(MAKE) OS="LINUX" BUILD="OPT"
linux-ia64-debug:
	$(MAKE) OS="LINUX_IA64" BUILD="DBG"
linux-ia64-optimized:
	$(MAKE) OS="LINUX_IA64" BUILD="OPT"

openbsd-debug:
	$(MAKE) OS="OPENBSD" BUILD="DBG"
openbsd-optimized:
	$(MAKE) OS="OPENBSD" BUILD="OPT"

osf1-debug:
	$(MAKE) OS="OSF1" BUILD="DBG"
osf1-optimized:
	$(MAKE) OS="OSF1" BUILD="OPT"

solaris-debug:
	$(MAKE) OS="SOLARIS" BUILD="DBG"
solaris-optimized:
	$(MAKE) OS="SOLARIS" BUILD="OPT"

##########################

=== examples/Makefile ===
#
# Portions created by SGI are Copyright (C) 2000 Silicon Graphics, Inc.
# All Rights Reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met: 
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer. 
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
# 3. Neither the name of Silicon Graphics, Inc. nor the names of its
#    contributors may be used to endorse or promote products derived from
#    this software without specific prior written permission. 
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# HOLDERS AND CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED
# TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
# PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
# LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
# NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

##########################
# Supported OSes:
#
# AIX
# FREEBSD
# HPUX
# HPUX_64
# IRIX
# IRIX_64
# LINUX
# LINUX_IA64
# OPENBSD
# OSF1
# SOLARIS

##########################

CC          = cc

SHELL       = /bin/sh
ECHO        = /bin/echo

DEPTH       = ..
BUILD       =
TARGETDIR   =

DEFINES     =
CFLAGS      =
OTHER_FLAGS =

OBJDIR      = $(DEPTH)/$(TARGETDIR)
INCDIR      = $(DEPTH)/$(TARGETDIR)
LIBST       = $(OBJDIR)/libst.a
HEADER      = $(INCDIR)/st.h

LIBRESOLV   =
EXTRALIBS   =

ifeq ($(OS),)
EXAMPLES    = unknown
else
EXAMPLES    = $(OBJDIR)/lookupdns $(OBJDIR)/proxy $(OBJDIR)/server
endif


##########################
# Platform section.
#

ifeq (LINUX, $(findstring LINUX, $(OS)))
LIBRESOLV   = -lresolv
endif

ifeq ($(OS), SOLARIS)
LIBRESOLV   = -lresolv
EXTRALIBS   = -lsocket -lnsl
endif

#
# End of platform section.
##########################


all: $(EXAMPLES)

$(OBJDIR)/lookupdns: lookupdns.c $(OBJDIR)/res.o $(LIBST) $(HEADER)
	$(CC) $(CFLAGS) -I$(INCDIR) lookupdns.c $(OBJDIR)/res.o $(LIBST) $(LIBRESOLV) $(EXTRALIBS) -o $@

$(OBJDIR)/proxy: proxy.c $(LIBST) $(HEADER)
	$(CC) $(CFLAGS) -I$(INCDIR) proxy.c $(LIBST) $(EXTRALIBS) -o $@

$(OBJDIR)/server: server.c $(OBJDIR)/error.o $(LIBST) $(HEADER)
	$(CC) $(CFLAGS) -I$(INCDIR) server.c $(OBJDIR)/error.o $(LIBST) $(EXTRALIBS) -o $@

$(OBJDIR)/%.o: %.c
	$(CC) $(CFLAGS) -I$(INCDIR) -c $< -o $@

.DEFAULT:
	@cd $(DEPTH); $(MAKE) $@

## st 1.4

=== Makefile ===
--- 
+++ 
@@ -33,12 +33,13 @@
 # GPL.
 
 # This is the full version of the libst library - modify carefully
-VERSION     = 1.3
+VERSION     = 1.4
 
 ##########################
 # Supported OSes:
 #
 #OS         = AIX
+#OS         = CYGWIN
 #OS         = FREEBSD
 #OS         = HPUX
 #OS         = HPUX_64
@@ -46,6 +47,7 @@
 #OS         = IRIX_64
 #OS         = LINUX
 #OS         = LINUX_IA64
+#OS         = NETBSD
 #OS         = OPENBSD
 #OS         = OSF1
 #OS         = SOLARIS
@@ -73,12 +75,16 @@
 LNFLAGS     = -s
 DSO_SUFFIX  = so
 
+MAJOR       = $(shell echo $(VERSION) | sed 's/^\([^\.]*\).*/\1/')
+DESC        = st.pc
 
 ##########################
 # Platform section.
 # Possible targets:
 
 TARGETS     = aix-debug aix-optimized               \
+              cygwin-debug cygwin-optimized         \
+              darwin-debug darwin-optimized         \
               freebsd-debug freebsd-optimized       \
               hpux-debug hpux-optimized             \
               hpux-64-debug hpux-64-optimized       \
@@ -86,6 +92,7 @@
               irix-64-debug irix-64-optimized       \
               linux-debug linux-optimized           \
               linux-ia64-debug linux-ia64-optimized \
+              netbsd-debug netbsd-optimized         \
               openbsd-debug openbsd-optimized       \
               osf1-debug osf1-optimized             \
               solaris-debug solaris-optimized
@@ -107,6 +114,26 @@
 endif
 endif
 
+ifeq ($(OS), CYGWIN)
+TARGETDIR   = $(OS)_$(BUILD)
+CC          = gcc
+LD          = gcc
+DSO_SUFFIX  = dll
+SLIBRARY    = $(TARGETDIR)/libst.dll.a
+DLIBRARY    = $(TARGETDIR)/libst.dll
+DEF_FILE    = $(TARGETDIR)/libst.def
+LDFLAGS     = libst.def -shared --enable-auto-image-base -Wl,--output-def,$(DEF_FILE),--out-implib,$(SLIBRARY)
+OTHER_FLAGS = -Wall
+endif
+
+ifeq ($(OS), DARWIN)
+LD          = cc
+SFLAGS      = -fPIC -fno-common
+DSO_SUFFIX  = dylib
+LDFLAGS     = -dynamiclib -install_name /sw/lib/libst.$(MAJOR).$(DSO_SUFFIX) -compatibility_version $(MAJOR) -current_version $(VERSION)
+OTHER_FLAGS = -Wall
+endif
+
 ifeq ($(OS), FREEBSD)
 SFLAGS      = -fPIC
 LDFLAGS     = -shared -soname=$(SONAME) -lc
@@ -143,6 +170,12 @@
 DEFINES     = -DLINUX
 EXTRA_OBJS  = $(TARGETDIR)/ia64asm.o
 endif
+SFLAGS      = -fPIC
+LDFLAGS     = -shared -soname=$(SONAME) -lc
+OTHER_FLAGS = -Wall
+endif
+
+ifeq ($(OS), NETBSD)
 SFLAGS      = -fPIC
 LDFLAGS     = -shared -soname=$(SONAME) -lc
 OTHER_FLAGS = -Wall
@@ -214,11 +247,24 @@
 DLIBRARY    = $(TARGETDIR)/libst.$(DSO_SUFFIX).$(VERSION)
 EXAMPLES    = examples
 
-MAJOR       = $(shell echo $(VERSION) | sed 's/^\([^\.]*\).*/\1/')
 LINKNAME    = libst.$(DSO_SUFFIX)
 SONAME      = libst.$(DSO_SUFFIX).$(MAJOR)
 FULLNAME    = libst.$(DSO_SUFFIX).$(VERSION)
-DESC        = st.pc
+
+ifeq ($(OS), CYGWIN)
+SONAME      = cygst.$(DSO_SUFFIX)
+SLIBRARY    = $(TARGETDIR)/libst.dll.a
+DLIBRARY    = $(TARGETDIR)/$(SONAME)
+LINKNAME    =
+# examples directory does not compile under cygwin
+EXAMPLES    =
+endif
+
+ifeq ($(OS), DARWIN)
+LINKNAME    = libst.$(DSO_SUFFIX)
+SONAME      = libst.$(MAJOR).$(DSO_SUFFIX)
+FULLNAME    = libst.$(VERSION).$(DSO_SUFFIX)
+endif
 
 ifeq ($(STATIC_ONLY), yes)
 LIBRARIES   = $(SLIBRARY)
@@ -254,8 +300,12 @@
 
 $(DLIBRARY): $(OBJS:%.o=%-pic.o)
 	$(LD) $(LDFLAGS) $^ -o $@
-	cd $(TARGETDIR); rm -f $(SONAME); $(LN) $(LNFLAGS) $(FULLNAME) $(SONAME)
-	cd $(TARGETDIR); rm -f $(LINKNAME); $(LN) $(LNFLAGS) $(FULLNAME) $(LINKNAME)
+	if test "$(LINKNAME)"; then                             \
+		cd $(TARGETDIR);				\
+		rm -f $(SONAME) $(LINKNAME);			\
+		$(LN) $(LNFLAGS) $(FULLNAME) $(SONAME);		\
+		$(LN) $(LNFLAGS) $(FULLNAME) $(LINKNAME);	\
+	fi
 
 $(HEADER): public.h
 	rm -f $@
@@ -278,7 +328,7 @@
 
 ifneq ($(SFLAGS),)
 # Compile with shared library options if it's a C file
-$(TARGETDIR)/%-pic.o: %.c
+$(TARGETDIR)/%-pic.o: %.c common.h md.h
 	$(CC) $(CFLAGS) $(SFLAGS) -c $< -o $@
 endif
 
@@ -298,6 +348,16 @@
 	$(MAKE) OS="AIX" BUILD="DBG"
 aix-optimized:
 	$(MAKE) OS="AIX" BUILD="OPT"
+
+cygwin-debug:
+	$(MAKE) OS="CYGWIN" BUILD="DBG"
+cygwin-optimized:
+	$(MAKE) OS="CYGWIN" BUILD="OPT"
+
+darwin-debug:
+	$(MAKE) OS="DARWIN" BUILD="DBG"
+darwin-optimized:
+	$(MAKE) OS="DARWIN" BUILD="OPT"
 
 freebsd-debug:
 	$(MAKE) OS="FREEBSD" BUILD="DBG"
@@ -331,6 +391,11 @@
 linux-ia64-optimized:
 	$(MAKE) OS="LINUX_IA64" BUILD="OPT"
 
+netbsd-debug:
+	$(MAKE) OS="NETBSD" BUILD="DBG"
+netbsd-optimized:
+	$(MAKE) OS="NETBSD" BUILD="OPT"
+
 openbsd-debug:
 	$(MAKE) OS="OPENBSD" BUILD="DBG"
 openbsd-optimized:

## st 1.5.1

=== Makefile ===
--- 
+++ 
@@ -33,7 +33,7 @@
 # GPL.
 
 # This is the full version of the libst library - modify carefully
-VERSION     = 1.4
+VERSION     = 1.5.1
 
 ##########################
 # Supported OSes:
@@ -51,6 +51,7 @@
 #OS         = OPENBSD
 #OS         = OSF1
 #OS         = SOLARIS
+#OS         = SOLARIS_64
 
 # Please see the "Other possible defines" section below for
 # possible compilation options.
@@ -95,7 +96,8 @@
               netbsd-debug netbsd-optimized         \
               openbsd-debug openbsd-optimized       \
               osf1-debug osf1-optimized             \
-              solaris-debug solaris-optimized
+              solaris-debug solaris-optimized       \
+              solaris-64-debug solaris-64-optimized
 
 #
 # Platform specifics
@@ -192,13 +194,18 @@
 LDFLAGS     = -shared -all -expect_unresolved "*"
 endif
 
-ifeq ($(OS), SOLARIS)
+ifeq (SOLARIS, $(findstring SOLARIS, $(OS)))
 TARGETDIR   = $(OS)_$(shell uname -r | sed 's/^5/2/')_$(BUILD)
 CC          = gcc
 LD          = gcc
 RANLIB      = true
 LDFLAGS     = -G
 OTHER_FLAGS = -Wall
+ifeq ($(OS), SOLARIS_64)
+DEFINES     = -DSOLARIS
+CFLAGS     += -m64
+LDFLAGS    += -m64
+endif
 endif
 
 #
@@ -410,6 +417,10 @@
 	$(MAKE) OS="SOLARIS" BUILD="DBG"
 solaris-optimized:
 	$(MAKE) OS="SOLARIS" BUILD="OPT"
-
-##########################
-
+solaris-64-debug:
+	$(MAKE) OS="SOLARIS_64" BUILD="DBG"
+solaris-64-optimized:
+	$(MAKE) OS="SOLARIS_64" BUILD="OPT"
+
+##########################
+

=== examples/Makefile ===
--- 
+++ 
@@ -38,9 +38,11 @@
 # IRIX_64
 # LINUX
 # LINUX_IA64
+# NETBSD
 # OPENBSD
 # OSF1
 # SOLARIS
+# SOLARIS_64
 
 ##########################
 
@@ -80,7 +82,7 @@
 LIBRESOLV   = -lresolv
 endif
 
-ifeq ($(OS), SOLARIS)
+ifeq (SOLARIS, $(findstring SOLARIS, $(OS)))
 LIBRESOLV   = -lresolv
 EXTRALIBS   = -lsocket -lnsl
 endif

## st 1.7

=== Makefile ===
--- 
+++ 
@@ -33,7 +33,7 @@
 # GPL.
 
 # This is the full version of the libst library - modify carefully
-VERSION     = 1.5.1
+VERSION     = 1.7
 
 ##########################
 # Supported OSes:
@@ -46,7 +46,6 @@
 #OS         = IRIX
 #OS         = IRIX_64
 #OS         = LINUX
-#OS         = LINUX_IA64
 #OS         = NETBSD
 #OS         = OPENBSD
 #OS         = OSF1
@@ -92,7 +91,6 @@
               irix-n32-debug irix-n32-optimized     \
               irix-64-debug irix-64-optimized       \
               linux-debug linux-optimized           \
-              linux-ia64-debug linux-ia64-optimized \
               netbsd-debug netbsd-optimized         \
               openbsd-debug openbsd-optimized       \
               osf1-debug osf1-optimized             \
@@ -167,11 +165,8 @@
 OTHER_FLAGS = -fullwarn
 endif
 
-ifeq (LINUX, $(findstring LINUX, $(OS)))
-ifeq ($(OS), LINUX_IA64)
-DEFINES     = -DLINUX
-EXTRA_OBJS  = $(TARGETDIR)/ia64asm.o
-endif
+ifeq ($(OS), LINUX)
+EXTRA_OBJS  = $(TARGETDIR)/md.o
 SFLAGS      = -fPIC
 LDFLAGS     = -shared -soname=$(SONAME) -lc
 OTHER_FLAGS = -Wall
@@ -239,6 +234,14 @@
 #
 # To use malloc(3) instead of mmap(2) for stack allocation:
 # DEFINES += -DMALLOC_STACK
+#
+# To provision more than the default 16 thread-specific-data keys
+# (but not too many!):
+# DEFINES += -DST_KEYS_MAX=<n>
+#
+# To start with more than the default 64 initial pollfd slots
+# (but the table grows dynamically anyway):
+# DEFINES += -DST_MIN_POLLFDS_SIZE=<n>
 ##########################
 
 CFLAGS      += $(DEFINES) $(OTHER_FLAGS)
@@ -318,7 +321,7 @@
 	rm -f $@
 	cp public.h $@
 
-$(TARGETDIR)/%asm.o: %asm.S
+$(TARGETDIR)/md.o: md.S
 	$(CC) $(CFLAGS) -c $< -o $@
 
 $(TARGETDIR)/%.o: %.c common.h md.h
@@ -393,10 +396,9 @@
 	$(MAKE) OS="LINUX" BUILD="DBG"
 linux-optimized:
 	$(MAKE) OS="LINUX" BUILD="OPT"
-linux-ia64-debug:
-	$(MAKE) OS="LINUX_IA64" BUILD="DBG"
-linux-ia64-optimized:
-	$(MAKE) OS="LINUX_IA64" BUILD="OPT"
+# compatibility
+linux-ia64-debug: linux-debug
+linux-ia64-optimized: linux-optimized
 
 netbsd-debug:
 	$(MAKE) OS="NETBSD" BUILD="DBG"
